Navigation Bar Top Applications Support Documentation Vendors Search Index Top Top

zlib -- buffer overflow vulnerability


Problem Description

An error in the handling of corrupt compressed data streams can result in a buffer being overflowed.


By carefully crafting a corrupt compressed data stream, an attacker can overwrite data structures in a zlib-using application. This may cause the application to halt, causing a denial of service; or it may result in the attacker gaining elevated privileges.



portaudit: zlib -- buffer overflow vulnerability

Disclaimer: The data contained on this page is derived from the VuXML document, please refer to the the original document for copyright information. The author of portaudit makes no claim of authorship or ownership of any of the information contained herein.

If you have found a vulnerability in a FreeBSD port not listed in the database, please contact the FreeBSD Security Officer. Refer to "FreeBSD Security Information" for more information.

Oliver Eikemeier <>